import { select, csv, csvFormat } from 'd3';

const kilobytes = data =>
  Math.ceil(csvFormat(data).length / 1000);

const body = select('body');

csv('https://gist.githubusercontent.com/BhavanaGIrni/02da23fd985ed67e00bca49d7ea9a3c5/raw/23fcda7b5ecce95382cfa8da788d167e895a7233/gistfile1.txt')
  .then(data => {
    
    body
      .append('pre')
        .text('First 10 rows:');

    body
      .append('pre')
        .text(JSON.stringify(data.slice(0, 10), null, 2));
  });